org.eclipse.ease.ui.scripts.repository

## Interface IRawLocation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IScript, IScriptLocation

    public interface IRawLocation
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Raw Location'.

The following features are supported:

- `Location`
- `Update Pending`

See Also:
  `IRepositoryPackage.getRawLocation()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.io.InputStream` `getInputStream()`
`java.lang.String` `getLocation()` Returns the value of the 'Location' attribute.
`java.lang.Object` `getResource()`
`boolean` `isUpdatePending()` Returns the value of the 'Update Pending' attribute.
`void` `setLocation(java.lang.String value)` Sets the value of the '`Location`' attribute.
`void` `setUpdatePending(boolean value)` Sets the value of the '`Update Pending`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getLocation

    java.lang.String getLocation()

Returns the value of the 'Location' attribute.

If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Location' attribute.
See Also:
  `setLocation(String)`, `IRepositoryPackage.getRawLocation_Location()`

#### setLocation

    void setLocation(java.lang.String value)

Sets the value of the '`Location`' attribute.

Parameters:
  `value` - the new value of the 'Location' attribute.
See Also:
  `getLocation()`

#### isUpdatePending

    boolean isUpdatePending()

Returns the value of the 'Update Pending' attribute. The default value is `"false"`.

If the meaning of the 'Update Pending' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Update Pending' attribute.
See Also:
  `setUpdatePending(boolean)`, `IRepositoryPackage.getRawLocation_UpdatePending()`

#### setUpdatePending

    void setUpdatePending(boolean value)

Sets the value of the '`Update Pending`' attribute.

Parameters:
  `value` - the new value of the 'Update Pending' attribute.
See Also:
  `isUpdatePending()`

#### getResource

    java.lang.Object getResource()

#### getInputStream

    java.io.InputStream getInputStream()